%if %{undefined el8}
%bcond_without tests
%else
%bcond_with tests
%endif

Name:           ansible-collection-pulp-pulp_installer
Version:        3.21.4
Release:        5%{?dist}
Summary:        A collection of roles to install or upgrade Pulp 3. Can also reconfigure or add plugins to an existing install.
License:        GPL-2.0
URL:            %{ansible_collection_url pulp pulp_installer}
Source:         https://galaxy.ansible.com/download/pulp-pulp_installer-%{version}.tar.gz
Source1:        pathfix.py
Source2:        LICENSE
Source3:        COMMITMENT
Source5:        galaxy.yml
Source6:        RELEASING.md
BuildRequires:  ansible-packaging
%if %{with tests}
BuildRequires:  ansible-packaging-tests
%endif
# For ansible cli commmands
BuildRequires:  ansible-core >= 2.10
# For pathfix.py
BuildRequires:  python2-devel
BuildRequires:  python3-devel

BuildArch:      noarch

# ansible-packaging automatically pulled in dependencies from galaxy.yml which is already included.
# Disable rpm dependency auto-generation and manually define here:
AutoReq:        no
Requires:       ansible-core >= 2.10
Requires:       /bin/sh
Requires:       ansible-collection(ansible.posix)
Requires:       ansible-collection(community.crypto) >= 1.0.0
Requires:       ansible-collection(community.postgresql)
Requires:       ansible-collection(mdellweg.filters)
Requires:       rpmlib(RichDependencies) <= 4.12.0-1


%description
%{summary}.


%prep
%autosetup -c pulp_installer-%{version} -p1
find -type f ! -executable -name '*.py' -print -exec sed -i -e '1{\@^#!.*@d}' '{}' +

%{__cp} %{SOURCE2} LICENSE
%{__cp} %{SOURCE3} COMMITMENT
%{__cp} %{SOURCE5} galaxy.yml
%{__cp} %{SOURCE6} RELEASING.md


%build
%ansible_collection_build


%install
%ansible_collection_install

#Fix ambiguous python shebangs using a pathfix.py modified by me (Lans Hung <lans.hung@oracle.com>)
%{SOURCE1} -i "%{__python2} %{py2_shbang_opts}" -pn $RPM_BUILD_ROOT%{_datadir}/ansible/collections/
%{SOURCE1} -i "%{__python3} %{py3_shbang_opts}" -pn $RPM_BUILD_ROOT%{_datadir}/ansible/collections/


%check
%if %{with tests}
%ansible_test_unit
%endif


%files -f %{ansible_collection_filelist}
%license COMMITMENT COPYRIGHT LICENSE
%doc README.md RELEASING.md


%changelog
* Fri Jun 23 2023 Lans Hung<lans.hung@oracle.com> - 3.21.4-5
- Change back to GPL-2.0 license

* Fri Jun 23 2023 Lans Hung<lans.hung@oracle.com> - 3.21.4-4
- Import source from galaxy.ansible.com

* Wed Jun 14 2023 Lans Hung<lans.hung@oracle.com> - 3.21.4-2
- Add oracle declaration on top of COMMITMENT

* Wed May 31 2023 Lans Hung<lans.hung@oracle.com> - 3.21.4-1
- Init package
